workflows
Get workflows runs
Requires scopes: runs:read
GET
/
api
/
workflows
/
{id}
/
runs
Get workflows runs
curl --request GET \
--url https://evalgate.com/api/workflows/{id}/runs \
--header 'Authorization: Bearer <token>'import requests
url = "https://evalgate.com/api/workflows/{id}/runs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://evalgate.com/api/workflows/{id}/runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"totalCost": "<string>",
"costSummary": {
"currency": "USD",
"decimalPlaces": 8,
"totalUsd": "<string>",
"verifiedUsd": "<string>",
"estimatedUsd": "<string>",
"verifiedCount": 123,
"estimatedCount": 123,
"unknownCount": 123,
"recordCount": 123,
"attribution": {
"retryCount": 123,
"retryUsd": "<string>",
"fallbackCount": 123,
"fallbackUsd": "<string>",
"cachedCallCount": 123,
"cachedInputTokens": 123,
"cancelledCount": 123,
"cancelledUsd": "<string>",
"streamedCount": 123,
"streamedUsd": "<string>",
"duplicateRecordsIgnored": 123
}
},
"id": 123,
"workflowId": 123,
"traceId": 123,
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"input": {},
"output": {},
"totalDurationMs": 123,
"agentCount": 123,
"handoffCount": 123,
"retryCount": 123,
"errorMessage": "<string>",
"metadata": {
"trigger": "<string>",
"environment": "<string>",
"evaluationId": 123,
"autonomyLevel": "manual",
"approvalMode": "<string>",
"hookCount": 123,
"checkpointed": false,
"agentWorkflowType": "<string>",
"sessionId": "<string>",
"workflowProfile": {
"recipeTitle": "<string>",
"workflowClass": "approval_gated_mutation",
"autonomyLevel": "manual",
"approvalMode": "human_review",
"memoryMode": "session",
"backgroundExecution": true,
"requiredHooks": [
"session_start"
],
"linkedFailureModes": [
"<string>"
],
"successMetrics": [
"<string>"
],
"guardrails": [
"<string>"
],
"recommendedIterations": 123,
"source": "coverage_gap"
},
"hookInvocations": [
{
"hook": "session_start",
"blocked": true,
"latencyMs": 123,
"detail": "<string>"
}
],
"approvalDecisions": [
{
"actionType": "<string>",
"riskLevel": "low",
"recommendedDisposition": "deny",
"finalDisposition": "approved",
"rationale": "<string>"
}
],
"memoryEvents": [
{
"layer": "session",
"operation": "read",
"sourceId": "<string>",
"detail": "<string>"
}
],
"checkpoints": [
{
"kind": "manual",
"restorable": true,
"label": "<string>"
}
],
"debugSnapshots": [
{
"stepIndex": 123,
"label": "<string>",
"activeHooks": [
"session_start"
],
"memoryRefs": [
"<string>"
],
"approvalState": "<string>",
"summary": "<string>"
}
],
"runtimeSummary": {
"executionMode": "analysis_only",
"finalStatus": "failed",
"stopReason": "<string>",
"approvalState": "<string>",
"hookCount": 123,
"memoryReadCount": 123,
"checkpointCreated": true,
"handoffCount": 123,
"debugSnapshotCount": 123,
"decisionCount": 123,
"workflowRunId": 123,
"traceId": 123
}
},
"trigger": "<string>",
"startedAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z"
}
]{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
Required range:
1 <= x <= 1000Required range:
x >= 0Response
Successful response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
Get workflows runs
